Favicon

You are here: Home > API Reference > Asset Management > Inventoryitem > Get inventory items by Id or Slug

Get inventory items by Id or Slug

Required Permission: inventory.item.management.get

Get inventory items by Id or Slug

GET
/v1/organizations/:organizationId/inventory-items/:inventoryItemId
Copy to clipboard

Get inventory items by Id or Slug

Required Permission: inventory.item.management.get

Get inventory items by Id or Slug

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
inventoryItemId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean optional
data object optional
id string optional
InventoryItemId
Match pattern: ^[a-fA-F0-9]{24}$
organizationId string optional
OrganizationId
Match pattern: ^[a-fA-F0-9]{24}$
members array [object] optional
type string optional
user employee mdmUser
memberId string optional
Match pattern: ^[a-fA-F0-9]{24}$
userId string optional
Match pattern: ^[a-fA-F0-9]{24}$
employeeId string optional
Match pattern: ^[a-fA-F0-9]{24}$
mdmUserId string optional
Match pattern: ^[a-fA-F0-9]{24}$
email string optional
≤ 256 characters · Format: email
fromMdmDevice boolean optional
basic object optional
status string optional
active inactive provisioning deleted delete_requested retired lost stolen destroyed sold inStock toBeReturned expired inRepair assigned external available damaged emergency unknown disabled returnedToProvider laptopNotRequired personalLaptop clientLaptop
type string required
device smartphone tablet laptop desktopComputer server smartwatch hdmiAdapter dockStation mouse keyboard printer scanner monitor externalHardDrive usbFlashDrive webcam headphones speaker microphone posTerminal barcodeScanner cardReader softwareLicense videoConference externalDevice switch ups cameraCctv cameraIp firewall router accessPoint accessControl virtualMachine
name string optional
≤ 128 characters
description string optional
≤ 256 characters
location string optional
≤ 128 characters
owner string optional
≤ 256 characters
classification string optional
high medium low
hardware object optional
manufacturer string optional
≤ 128 characters
model string optional
≤ 128 characters
osName string optional
macOS windows linux chromeOS android iOS iPadOS tvOS AOSP watchOS other Android Windows
osVersion string optional
≤ 128 characters
network object optional
hostname string optional
≤ 128 characters
ipAddress string optional
≤ 128 characters
macAddress string optional
≤ 128 characters
purchase object optional
provider string optional
≤ 128 characters
order string optional
≤ 128 characters
orderDate string optional
Format: date-time
pricing integer optional
≥ 0
frequency string optional
once monthly annual
partNumber string optional
≤ 128 characters
currency string optional
≤ 128 characters
identifiers object optional
inventoryId string optional
≤ 128 characters
serialNumber string optional
≤ 128 characters
imei string optional
≤ 128 characters
udid string optional
≤ 128 characters
foreignId string optional
≤ 256 characters
seats object optional
total integer optional
≥ 0
available integer optional
≥ 0
lifecycle object optional
warrantyExpirationDate string optional
Format: date-time
expectedUsefulLife integer optional
≥ 0
deviceInfo object optional
deviceType string optional
≤ 128 characters
mdmDeviceId string optional
Match pattern: ^[a-fA-F0-9]{24}$
deviceState string optional
active deleted delete_requested provisioning unknown
metadata object optional
notes array [object] optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
note string optional
≤ 256 characters
user object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
email string optional
≤ 256 characters · Format: email
firstName string optional
≤ 128 characters
lastname string optional
≤ 128 characters
picture string optional
≤ 128 characters
createdAt string optional
Format: date-time
mdmDevice object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
summary object optional
type string optional
emmDevice admDevice winDevice
state string optional
ACTIVE DELETED DELETE_REQUESTED PROCESSING UNKNOWN
inferredFields array [string] optional
createdBy string optional
Match pattern: ^[a-fA-F0-9]{24}$
updatedAt string optional
Format: date-time
createdAt string optional
Format: date-time
{
    "status": true,
    "data": {
        "id": "string",
        "organizationId": "string",
        "members": [
            {
                "type": "user",
                "memberId": "string",
                "userId": "string",
                "employeeId": "string",
                "mdmUserId": "string",
                "email": "[email protected]",
                "fromMdmDevice": true
            }
        ],
        "basic": {
            "status": "active",
            "type": "device",
            "name": "string",
            "description": "string",
            "location": "string",
            "owner": "string",
            "classification": "high"
        },
        "hardware": {
            "manufacturer": "string",
            "model": "string",
            "osName": "macOS",
            "osVersion": "string"
        },
        "network": {
            "hostname": "string",
            "ipAddress": "string",
            "macAddress": "string"
        },
        "purchase": {
            "provider": "string",
            "order": "string",
            "orderDate": "2024-01-01T00: 00:00Z",
            "pricing": 0,
            "frequency": "once",
            "partNumber": "string",
            "currency": "string"
        },
        "identifiers": {
            "inventoryId": "string",
            "serialNumber": "string",
            "imei": "string",
            "udid": "string",
            "foreignId": "string"
        },
        "seats": {
            "total": 0,
            "available": 0
        },
        "lifecycle": {
            "warrantyExpirationDate": "2024-01-01T00: 00:00Z",
            "expectedUsefulLife": 0
        },
        "deviceInfo": {
            "deviceType": "string",
            "mdmDeviceId": "string",
            "deviceState": "active"
        },
        "metadata": {},
        "notes": [
            {
                "id": "string",
                "note": "string",
                "user": {
                    "id": "string",
                    "email": "[email protected]",
                    "firstName": "string",
                    "lastname": "string",
                    "picture": "string"
                },
                "createdAt": "2024-01-01T00: 00:00Z"
            }
        ],
        "mdmDevice": {
            "id": "string",
            "summary": {},
            "type": "emmDevice",
            "state": "ACTIVE"
        },
        "inferredFields": [
            "string"
        ],
        "createdBy": "string",
        "updatedAt": "2024-01-01T00: 00:00Z",
        "createdAt": "2024-01-01T00: 00:00Z"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4001
message string optional
Unauthorized
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}